program prepisivaci;
var n,i,r,l,p,br:integer;
x,y:array [1..1600] of integer;
k,d:array [1..1125000] of real;

begin
read(n);
for i:=1 to n do
read(x[i],y[i]);
p:=1;
br:=0;
for l:=1 to n-1 do
for r:=l+1 to n do
begin
if x[r]<>x[l] then k[p]:=(y[r]-y[l])/(x[r]-x[l]) else k[p]:=sqrt(2);
d[p]:=sqrt((y[r]-y[l])*(y[r]-y[l])+(x[r]-x[l])*(x[r]-x[l]));
p:=p+1;
end;

for l:=1 to n*(n-1) div 2 -1 do
for r:=l+1 to n*(n-1) div 2 do

if k[l]=k[r] then br:=br+1;

write(br);
end.